{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <title>Au Bon Beurre</title>

  <!-- IonIcons -->
  <link rel="stylesheet" href="http://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
</head>

<body>


    <p>Sélectionner le site de production</p>
      
        <input type="radio" id="site1" name="site" value=1>
        <label for="site1">Site 1</label>
        
        <input type="radio" id="site2" name="site" value=2>
        <label for="site2">Site 2</label>
        
        <input type="radio" id="site3" name="site" value=3>
        <label for="site3">Site 3</label>
        
        <input type="radio" id="site4" name="site" value=4>
        <label for="site4">Site 4</label>
        
        <input type="radio" id="site5" name="site" value=5>
        <label for="site5">Site 5</label>
        
        <br><br>
     
    <p>Sélectionner l'automate</p>
      
        <input type="radio" id="automate1" name="automate" value=1>
        <label for="automate1">1</label>
        
        <input type="radio" id="automate2" name="automate" value=2>
        <label for="automate2">2</label>
        
        <input type="radio" id="automate3" name="automate" value=3>
        <label for="automate3">3</label>
        
        <input type="radio" id="automate4" name="automate" value=4>
        <label for="automate4">4</label>
        
        <input type="radio" id="automate5" name="automate" value=5>
        <label for="automate5">5</label>
        
        <input type="radio" id="automate6" name="automate" value=6>
        <label for="automate6">6</label>
        
        <input type="radio" id="automate7" name="automate" value=7>
        <label for="automate7">7</label>
        
        <input type="radio" id="automate8" name="automate" value=8>
        <label for="automate8">8</label>
        
        <input type="radio" id="automate9" name="automate" value=9>
        <label for="automate9">9</label>
        
        <input type="radio" id="automate10" name="automate" value=10>
        <label for="automate10">10</label>
      
      <br><br>
      
      <p>Sélectionner la mesure</p>
      
        <input type="radio" id="tank_temperature" name="mesure" value="tank_temperature">
        <label for="tank_temperature">tank_temperature</label>
        
        <input type="radio" id="external_temperature" name="mesure" value="external_temperature">
        <label for="external_temperature">external_temperature</label>
        
        <input type="radio" id="milk_weight" name="mesure" value="milk_weight">
        <label for="milk_weight">milk_weight</label>
        
        <input type="radio" id="ph" name="mesure" value="ph">
        <label for="ph">ph</label>
        
        <input type="radio" id="k_plus" name="mesure" value="k_plus">
        <label for="k_plus">k_plus</label>
        
        
      <br><br>
      
      <button onclick="myFunction()">Generate graph</button>


<script>
    function myFunction() {
      var site = document.querySelector('input[name="site"]:checked').value;
      var automate = document.querySelector('input[name="automate"]:checked').value;
      var mesure = document.querySelector('input[name="mesure"]:checked').value;
      
      
      window.location.href = "/api/chart/site/"+site+"/automate/"+automate+"/mesure/"+mesure;
    }
</script>


</body>

